## mono-armel 2.10.1-4maemo1

=== mcs/class/System.Web.DynamicData/Makefile ===
thisdir = class/System.Web.DynamicData
SUBDIRS = 
include ../../build/rules.make

LIBRARY = System.Web.DynamicData.dll
LIB_MCS_FLAGS = \
	        /r:System.dll \
	        /r:System.Core.dll \
	        /r:System.ComponentModel.DataAnnotations.dll \
		/r:System.Data.dll \
		/r:System.Data.Linq.dll \
	        /r:System.Drawing.dll \
	        /r:System.Web.dll \
	        /r:System.Web.Extensions.dll \
		/r:System.Web.Abstractions.dll \
		/r:System.Web.Routing.dll

ifeq (2.0, $(FRAMEWORK_VERSION))
# This is a .NET 3.5 only assembly, but built during the 2.0 build
LIB_MCS_FLAGS += -d:NET_3_5
endif

ifeq (4, $(FRAMEWORK_VERSION_MAJOR))
LIB_MCS_FLAGS += -r:System.Web.ApplicationServices.dll
endif

# Use genresources.sh to generate the list below
TEST_RESOURCE_FILES = \
	Test/WebPages/DynamicData/Content/FilterUserControl.ascx,MonoTests.WebPages.DynamicData.Content.FilterUserControl.ascx	\
	Test/WebPages/DynamicData/Content/FilterUserControl.ascx.cs,MonoTests.WebPages.DynamicData.Content.FilterUserControl.ascx.cs	\
	Test/WebPages/DynamicData/Content/GridViewPager.ascx,MonoTests.WebPages.DynamicData.Content.GridViewPager.ascx	\
	Test/WebPages/DynamicData/Content/GridViewPager.ascx.cs,MonoTests.WebPages.DynamicData.Content.GridViewPager.ascx.cs	\
	Test/WebPages/DynamicData/Content/Images/Back.gif,MonoTests.WebPages.DynamicData.Content.Images.Back.gif	\
	Test/WebPages/DynamicData/Content/Images/header_back.gif,MonoTests.WebPages.DynamicData.Content.Images.header_back.gif	\
	Test/WebPages/DynamicData/Content/Images/PgFirst.gif,MonoTests.WebPages.DynamicData.Content.Images.PgFirst.gif	\
	Test/WebPages/DynamicData/Content/Images/PgLast.gif,MonoTests.WebPages.DynamicData.Content.Images.PgLast.gif	\
	Test/WebPages/DynamicData/Content/Images/PgNext.gif,MonoTests.WebPages.DynamicData.Content.Images.PgNext.gif	\
	Test/WebPages/DynamicData/Content/Images/PgPrev.gif,MonoTests.WebPages.DynamicData.Content.Images.PgPrev.gif	\
	Test/WebPages/DynamicData/Content/Images/plus.gif,MonoTests.WebPages.DynamicData.Content.Images.plus.gif	\
	Test/WebPages/DynamicData/FieldTemplates/Boolean.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.Boolean.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/Boolean.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.Boolean.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/Boolean_Edit.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.Boolean_Edit.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/Boolean_Edit.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.Boolean_Edit.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/Children.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.Children.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/Children.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.Children.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/CustomColor.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.CustomColor.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/CustomColor.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.CustomColor.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/CustomFieldTemplate.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.CustomFieldTemplate.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/CustomFieldTemplate.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.CustomFieldTemplate.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/DateTime.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.DateTime.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/DateTime.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.DateTime.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/DateTime_Edit.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.DateTime_Edit.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/DateTime_Edit.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.DateTime_Edit.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/Decimal_Edit.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.Decimal_Edit.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/Decimal_Edit.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.Decimal_Edit.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/ForeignKey.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.ForeignKey.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/ForeignKey.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.ForeignKey.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/ForeignKey_Edit.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.ForeignKey_Edit.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/ForeignKey_Edit.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.ForeignKey_Edit.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/Integer_Edit.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.Integer_Edit.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/Integer_Edit.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.Integer_Edit.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/MultilineText_Edit.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.MultilineText_Edit.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/MultilineText_Edit.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.MultilineText_Edit.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates/MyCustomUIHintTemplate_Text.ascx,MonoTests.WebPages.DynamicData.FieldTemplates.MyCustomUIHintTemplate_Text.ascx	\
	Test/WebPages/DynamicData/FieldTemplates/MyCustomUIHintTemplate_Text.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates.MyCustomUIHintTemplate_Text.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Boolean.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Boolean.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Boolean.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Boolean.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Byte.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Byte.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Byte[].ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Byte[].ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Byte.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Byte.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Byte[].ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Byte[].ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Char.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Char.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Char.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Char.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/FooEmpty.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.FooEmpty.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/FooEmpty.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.FooEmpty.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/ICollection.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.ICollection.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/ICollection.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.ICollection.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Int16.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Int16.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Int16.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Int16.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Int32.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Int32.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Int32.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Int32.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Int64.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Int64.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Int64.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Int64.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/MonoTests.Common.FooEmpty.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.MonoTests.Common.FooEmpty.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/MonoTests.Common.FooEmpty.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.MonoTests.Common.FooEmpty.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Object.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Object.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/Object.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.Object.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/SByte.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.SByte.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/SByte.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.SByte.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/String.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.String.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/String.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.String.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Boolean.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Boolean.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Boolean.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Boolean.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Byte.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Byte.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Byte[].ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Byte[].ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Byte.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Byte.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Byte[].ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Byte[].ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Char.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Char.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Char.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Char.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Collections.Generic.List\`1[System.String].ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Collections.Generic.List\`1[System.String].ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Collections.Generic.List\`1[System.String].ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Collections.Generic.List\`1[System.String].ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Collections.ICollection.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Collections.ICollection.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Collections.ICollection.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Collections.ICollection.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Int16.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Int16.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Int16.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Int16.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Int32.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Int32.ascx	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Int32.ascx.cs,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Int32.ascx.cs	\
	Test/WebPages/DynamicData/FieldTemplates_NonDefault/System.Int64.ascx,MonoTests.WebPages.DynamicData.FieldTemplates_NonDefault.System.Int64.ascx	\

=== mcs/class/System.XML/Makefile ===
thisdir = class/System.XML
SUBDIRS = 
include ../../build/rules.make

LIBRARY = System.Xml.dll
LIBRARY_USE_INTERMEDIATE_FILE = yes

lib_file := $(wildcard ../lib/$(PROFILE)/System.Xml.dll)
ifndef lib_file
USE_BOOT_COMPILE = yes
endif

ifdef USE_BOOT_COMPILE
LIBRARY_COMPILE = $(BOOT_COMPILE)
endif

LIB_MCS_FLAGS = -r:$(corlib) -r:System.dll -nowarn:0618,0612,0642
ifeq (net_1_1_java, $(PROFILE))
LIB_MCS_FLAGS += \
	-r:System.Xml.dll		\
	-r:rt.dll			\
	-r:J2SE.Helpers.dll		\
	-r:unresolved.dll		\
	/lib:../../class/lib/$(PROFILE)
endif
ifeq (2.1, $(FRAMEWORK_VERSION))
LIB_MCS_FLAGS += -unsafe -d:AGCLR -d:NET_2_1_HACK
endif
TEST_MCS_FLAGS = $(LIB_MCS_FLAGS) -nowarn:0618 -nowarn:219 -nowarn:169

ifeq (2.0, $(FRAMEWORK_VERSION))
# Happens on net_2_0_bootstrap and net_2_0 profiles
CONFIGURATION_DEP := System.Configuration.dll
CONFIGURATION_DEP_FILE := $(wildcard ../lib/$(PROFILE)/$(CONFIGURATION_DEP))
CYCLIC_DEPS += $(CONFIGURATION_DEP)
CYCLIC_DEP_FILES += $(CONFIGURATION_DEP_FILE)
TEST_MCS_FLAGS += -r:System.Configuration
endif

ifdef CONFIGURATION_DEP_FILE
LIB_MCS_FLAGS += -define:CONFIGURATION_DEP -r:$(CONFIGURATION_DEP)
$(the_lib): $(CONFIGURATION_DEP_FILE)
endif

nist_dom_files = \
	ChangeLog ITest.cs readme.txt util.cs \
	fundamental/ChangeLog \
	files/ChangeLog files/noDTDXMLfile.xml files/otherDoc.xml files/staff.dtd files/staff.html files/staff.xml

xmlfiles_files = \
	ChangeLog nested-included.dtd literal-data.xml nested-dtd-test.dtd nested-dtd-test.xml simple.xml \
	xsl/ChangeLog xsl/empty.xsl \
	XsdValidation/ChangeLog XsdValidation/1.xsd XsdValidation/2.xsd	XsdValidation/3.xsd XsdValidation/4.xsd \
	xsd/ChangeLog xsd/1.xsd xsd/2.xsd xsd/3.xsd xsd/4.xsd xsd/5.xsd xsd/6.xsd xsd/xml.xsd xsd/81360.xsd xsd/81360inc1.xsd xsd/81360inc2.xsd

EXTRA_DISTFILES = \
	System.Xml.Schema/BUGS-MS.txt	\
	System.Xml.Schema/BUGS.txt	\
	$(wildcard System.Xml.Serialization/standalone_tests/*.cs) \
	$(wildcard System.Xml.Serialization/standalone_tests/*.output) \
	System.Xml.XPath/Parser.jay	\
	Test/ChangeLog			\
	Test/Microsoft.Test.csproj	\
	Test/Mono.Test.csproj		\
	Test/MonoMicro.Test.csproj	\
	Test/XmlFiles/76102.xml		\
	Test/XmlFiles/79683.dtd		\
	Test/XmlFiles/496192.xml	\
	Test/XmlFiles/496192.xsd	\
	$(wildcard Test/XmlFiles/xsd/*.xml) \
	$(wildcard Test/XmlFiles/xsd/*.xsd) \
	$(wildcard Test/XmlFiles/xsl/*.xml) \
	$(wildcard Test/XmlFiles/xsl/*.xsl) \
	Test/XmlFiles/xsl/current-in-select.ref \
	Test/XmlFiles/xsl/ChangeLog \
	$(xmlfiles_files:%=Test/XmlFiles/%) \
	$(nist_dom_files:%=Test/System.Xml/nist_dom/%)

System.Xml.XPath/Parser.cs: System.Xml.XPath/Parser.jay $(topdir)/jay/skeleton.cs
	$(topdir)/jay/jay -ct < $(topdir)/jay/skeleton.cs $< >$@

Mono.Xml.Xsl/PatternParser.jay: System.Xml.XPath/Parser.jay $(topdir)/jay/skeleton.cs
	sed "s/\%start Expr/\%start Pattern/" $< >$@

Mono.Xml.Xsl/PatternParser.cs: Mono.Xml.Xsl/PatternParser.jay $(topdir)/jay/skeleton.cs
	echo "#define XSLT_PATTERN" > $@
	$(topdir)/jay/jay -ct $< < $(topdir)/jay/skeleton.cs >>$@

Mono.Xml.Xsl/PatternTokenizer.cs: System.Xml.XPath/Tokenizer.cs
	echo "#define XSLT_PATTERN" > $@
	cat $< >>$@

ifneq (moonlight_raw, $(PROFILE))
BUILT_SOURCES = System.Xml.XPath/Parser.cs \
	Mono.Xml.Xsl/PatternParser.cs \
	Mono.Xml.Xsl/PatternTokenizer.cs

CLEAN_FILES = Test/XmlFiles/xsl/result.xml \
	System.Xml.XPath/Parser.cs \
	Mono.Xml.Xsl/PatternParser.cs \
	Mono.Xml.Xsl/PatternTokenizer.cs
endif

include ../../build/library.make

=== debian/changelog ===
mono-armel (2.10.1-4maemo1) fremantle; urgency=low

  * Initial release for N900

 -- Tsukanov Nikita <keks9n@gmail.com>  Tue, 26 Apr 2011 19:20:45 +0200

mono (2.10.1-4) experimental; urgency=low

  [ Zoltan Varga ]
  * [db3ee8c] Only use memory barriers on arm when running on armv6 or later.
  * [cf1d8e8] Add a membar to libgc's UNLOCK () on arm. Fixes Mono#683409.

  [ Jo Shields ]
  * [0e3d427] Ensure SIGXFSZ is used instead of SIGPWR on kFreeBSD.
              (Closes: #621907)
  * [8cd4f00] Define CPU registers on kFreeBSD/AMD64, to prevent build
              failures.

  [ Mirco Bauer ]
  * [9546eb7] Added armel specific symbols to libmono-2.0-1.symbols.armel

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Apr 2011 17:16:47 +0200

mono (2.10.1-3) experimental; urgency=low

  [ Jo Shields ]
  * [0fd2fc1] Tweak architecture checks in configure.in so kfreebsd-gnu is
              considered an SGen-capable architecture. (closes: #621448)

  [ Mirco Bauer ]
  * [26a6ee8] Moved architecture dependent symbols into
              libmono-2.0-1.symbols.$arch

 -- Mirco Bauer <meebey@debian.org>  Sat, 09 Apr 2011 15:15:04 +0200

mono (2.10.1-2) experimental; urgency=low

  * [aba0fce] Dropped obsolete archs: arm, armeb and lpia;
              no longer supported arch: s390;
              added potential new archs: armhf, ppc64 and s390x;
              only build and install sgen on supported archs
  * [66a0541] kfreebsd support for Mono 2.10.1 - mainly backport of gc 6.8
              (closes: #621031)

 -- Mirco Bauer <meebey@debian.org>  Thu, 07 Apr 2011 01:33:02 +0200

mono (2.10.1-1) experimental; urgency=low

  * The "size does matter" release

  [ Mirco Bauer ]
  * New upstream release
    + For release highlights see the NEWS.Debian file of the
      mono-runtime package

  [ Jo Shields ]
  * [5c6aba5] Imported Upstream version 2.8
  * [f85b0b1] Imported Upstream version 2.8.1

  [ Mirco Bauer ]
  * [01df276] Pass parallel variable in DEB_BUILD_OPTIONS to mono/Makefile
  * [e3871f8] Build libgc before mono

  [ Jo Shields ]
  * [98cb87c] Imported Upstream version 2.10~rc1
  * [b401a2a] Add test which is missing from 2.10~rc1 tarballs, causing test
              suite to fail to build

  [ Mirco Bauer ]
  * [79f2862] Build eglib before libgc and made them parallel buildable
  * [58bf7d7] Renamed libmono0 package to libmono-2.0-1 following the new
              soname
  * [f1e4e50] Provide deb-symbols for libmono-2.0-1
  * [7be8ed1] Renamed libmono-dev package to libmono-2.0-dev and dropped
              libglib2.0-dev dependency as Mono no longer makes use of the glib
  * [d97f372] Moved mono.pc to libmono-cil-dev
  * [3cd11ad] New mono-runtime-sgen package which contains the Mono VM with
              a new garbage collector
  * [7f3919a] Dropped libmono-firebirdsql1.7-cil package
  * [c31f6e2] Stick to upstream's configure defaults except for ikvm and
              quiet builds
  * [de8c9aa] Removed obsolete cleanups
  * [97c07fa] Removed obsolete doc dir symlinking removal code for Ubuntu
  * [e6e31ff] Cleaned up Uploaders
  * [3c24df0] Disable automatic AOT on "make install" as this needs to be done
              on package install time
  * [1ced0ac] Merged the install-arch and install-indep target into a single
              install target
  * [3a2409b] Disable libgc's parallel mark on powerpc as it FTBFS
  * [97c6760] Added a 2nd test-suite pass with sgen
  * [af7129a] Disable sgen on powerpc for now as it needs further porting
  * [3f99e0e] Don't run the test-suite with sgen on powerpc

  [ Jo Shields ]
  * [9a320e5] Imported Upstream version 2.10.1

  [ Mirco Bauer ]
  * [e618805] Don't delete ltmain.sh in clean target as autoreconf is not
              recreating it
  * [38ccb49] Updated libmono-2.0-1.symbols for 2.10.1
  * [0472e8b] Dropped license and copyright information of no longer
              distributed FirebirdSql.Data.Firebird and Microsoft.JScript
              assemblies
  * [cb9cfec] Moved license and copyright information of RabbitMQ.Client to
              distinct copyright files
  * [d191bb3] Moved changelog entries older than 2.6.7-1 to changelog.1
  * [4b69b38] Dropped mono-1.0-devel and merged mono-2.0-devel into mono-devel
  * [f8e8352] Re-synced debhelper tools from cli-common 0.8~git.ca22e7 with
              .NET 4.0 support
  * [dac60fb] Ignore temporarily package build directories
  * [78db0f9] Replaced depcrecated dh_clean -k call with dh_prep
  * [4cd31f2] Forcely install jay
  * [3e69ed3] Drop unwanted/incorrectly shipped files from upstream
  * [a27bef2] Dropped obsolete and added missing manpages
  * [b407a26] Make use of dh_install's --list-missing feature
  * [37638d7] Dropped obsolete and added missing dllmaps
  * [1597015] Bumped clilibs to >= 2.10.1 where needed
  * [953569a] Dropped obsolete replaces << 1.2.4-1 lines from mono-dbg
  * [ee0cbf6] Dropped prj2make-sharp package
  * [61a9ed1] Updated debian/shlibs.local for Mono 2.10.1
  * [0fa85d7] Updated mono-runtime.NEWS for Mono 2.10, 2.8 and 2.6
  * [15fe448] Dropped all CLI 1.0 library and C# 1.0 compiler packages as
              Mono 2.10 no longer supports the 1.0 runtime, added new packages
              for all CLI 4.0 libraries and the C# 4.0 compiler and made
              C# 4.0 the new default C# compiler.
              All CLI 2.0 library packages are left for ABI and backwards
              compatibility.
  * [59b28b7] Sorted dependencies of libmono-cil-dev for easier tracking
  * [9288af2] Added missing libmono-microsoft-csharp4.0-cil to libmono-cil-dev
              dependencies
  * [30cd43e] Added libmono-microsoft-csharp4.0-cil as manual dependency to
              mono-dmcs as needed for dynamic types
  * [f262b9f] Added debian/find-icalls.sh helper script which finds internal
              calls from the source tree
  * [ce1e2f5] Force the debian version. $(top_srcdir)/.git is no longer a good


=== debian/control ===
Source: mono-armel
Section: cli-mono
Priority: optional
Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7),
	dpkg-dev (>= 1.13.19),
	libglib2.0-dev (>= 2.4),
	bison,
	libtool,
	libxml-dom-perl,
	libxslt1-dev,
	dc,
	lsb-release,
	libx11-dev,
	libxt-dev,
	zlib1g-dev,
	autoconf,
	automake
Homepage: http://www.mono-project.com/
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/mono.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono.git

Package: mono-runtime
Provides: cli-runtime, cli-virtual-machine
Architecture: armel
Replaces: mono-common (<< 2.4), mono-jit (<< 2.4), libmono0 (<< 2.4)
Conflicts: mono-common (<< 2.4),
           mono-jit (<< 2.4),
           mono-1.0-runtime (<< 2.4),
           mono-2.0-runtime (<< 2.4)
Suggests: xdg-utils | libgnome2-0 | konqueror
Recommends: binfmt-support (>= 1.1.2)
Depends: mono-pre, ${shlibs:Depends},
         ${misc:Depends},
         mono-gac (= ${source:Version})
Description: Mono runtime
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Virtual Machine, JIT (Just-in-Time) and
 AOT (Ahead-of-Time) code generator "mono".
 "mono" executes applications for the CLI (Common Language Infrastructure).
 Mono currently only supports the X86, PowerPC, ARM, SPARC, S/390, AMD64 and
 IA64 architectures. Optionally this package configures BINFMT support.

Package: mono-runtime-sgen
Architecture: armel
Depends: mono-pre, ${shlibs:Depends},
         ${misc:Depends},
         mono-runtime (= ${binary:Version})
Homepage: http://www.mono-project.com/Compacting_GC
Description: Mono runtime - SGen (experimental)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Virtual Machine, JIT (Just-in-Time) and
 AOT (Ahead-of-Time) code generator "mono-sgen".
 mono-sgen executes applications for the CLI (Common Language Infrastructure).
 Mono currently only supports the X86, PowerPC, ARM, SPARC, S/390, AMD64 and
 IA64 architectures.
 .
 This package uses SGen which is Mono's new simple generational garbage collector
 instead of Boehm's conservative garbage collector. SGen is currently only
 for testing and thus should not be used in production.

Package: mono-runtime-dbg
Priority: extra
Section: debug
Architecture: armel
Replaces: mono-jit-dbg (<< 2.4)
Conflicts: mono-jit-dbg (<< 2.4)
Depends: mono-pre, ${misc:Depends}, mono-runtime (= ${binary:Version})
Recommends: gdb
Description: Mono runtime, debugging symbols
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the debugging symbols of the Mono JIT/AOT compiler.

Package: mono-utils
Provides: cil-disassembler
Architecture: armel
Replaces: mono-mcs (<= 1.1.6-4)
Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version}),
 libmono-corlib4.0-cil (= ${source:Version}) | libmono-corlib2.0-cil (= ${source:Version})
Description: Mono utilities
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package includes various tools useful for CLI developers, like
 pedump, monodis and monograph.

Package: mono-complete
Architecture: armel
Depends: mono-pre, ${misc:Depends},
         mono-runtime (= ${binary:Version}),
         mono-runtime-sgen (= ${binary:Version}),
         libmono-2.0-1 (= ${binary:Version}),
         libmono-profiler (= ${binary:Version}),
         mono-utils (= ${binary:Version}),
         mono-jay (= ${binary:Version}),
         mono-devel (= ${source:Version}),
         mono-mcs (= ${source:Version}),
         mono-gmcs (= ${source:Version}),
         mono-dmcs (= ${source:Version}),
         mono-csharp-shell (= ${source:Version}),
         mono-2.0-gac (= ${source:Version}),
         mono-4.0-gac (= ${source:Version}),
         mono-2.0-service (= ${source:Version}),
         mono-4.0-service (= ${source:Version}),
         mono-devel (= ${source:Version}),
         monodoc-base (= ${source:Version}),
         monodoc-manual (= ${source:Version}),
         libmono-cil-dev (= ${source:Version})
Description: complete Mono runtime, development tools and all libraries
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This is a metapackage and pulls in the Mono runtime, development tools and
 all libraries.
 .
 Install this package if you want to run software for Mono or Microsoft .NET
 which you are not installing from a Debian package.
 .
 For packagers: This package is not to be used as dependency for packages!
 You should build-depend on cli-common-dev and the needed libraries instead.

Package: libmono-2.0-1
Architecture: armel
Replaces: libmono-dev (<= 1.1.6-4)
Conflicts: mono-utils (<< 1.2.3.1-4)
Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}
Description: Mono JIT library
 Shared library for Mono, used for embedding/hosting of the JIT.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-2.0-1-dbg
Priority: extra
Section: debug
Architecture: armel
Depends: mono-pre, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version})
Recommends: gdb
Description: Mono JIT library, debugging symbols
 This package contains the debugging symbols of the Mono JIT library.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-2.0-dev
Architecture: armel
Depends: mono-pre, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version})
Description: Mono JIT library - Development files
 Header files and static libraries for libmono-2.0.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-profiler
Architecture: armel
Replaces: mono-runtime (<< 2.4.2.3)
Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}
Description: Mono profiler libraries
 Profiler libraries for Mono, used for profiling applications running on Mono.
 For details how to use them, please take a look at the mono manpage.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include debian/mono-archs.make

# Assume Debian behaviour by default.
DISTRO = $(shell lsb_release -si)

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Vers | cut -d\  -f2)
UPVERSION = $(shell echo $(VERSION) | sed 's,-.*,,' | sed 's,+dfsg.*,,')
NEXT_UPVERSION = $(shell perl -e '$$_=pop; s/(\d+)$$/$$1+1/e; print' $(UPVERSION))
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)

RUN_MONO = LD_LIBRARY_PATH=debian/tmp/usr/lib MONO_PATH=debian/tmp/usr/lib/mono/2.0 debian/tmp/usr/bin/mono
DH_INTERNAL_MONO_PARAM = --internal-mono
ifeq ($(shell dpkg --compare-versions $$(dpkg-query -f '$${Version}' -W debhelper) lt 7.1; echo $$?), 0)
	DH_INTERNAL_MONO_PARAM = internal-mono
endif

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONF_FLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONF_FLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
        CONF_FLAGS += --enable-minimal=aot
endif

ifeq ($(DEB_BUILD_ARCH), armel)
	CONF_FLAGS += --with-fpu=NONE
endif
ifeq ($(DEB_BUILD_ARCH), powerpc)
	# libgc with parallel mark FTBFS on ppc
	CONF_FLAGS += --disable-parallel-mark
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH),$(DEB_MONO_SGEN_ARCHS)))
	CONF_FLAGS += --with-sgen=yes
else
	CONF_FLAGS += --with-sgen=no
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -g
else
	CFLAGS += -O2 -g
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	MINI_TEST = true
	MONO_BOEHM_TEST = true
	MONO_SGEN_TEST = true
else
	MINI_TEST = cd mono/mini && make check
	MONO_BOEHM_TEST = cd mono/tests && MONO_ENV_OPTIONS=--gc=boehm make test
	MONO_SGEN_TEST = cd mono/tests && MONO_ENV_OPTIONS=--gc=sgen make test
endif
ifeq ($(DEB_BUILD_ARCH), powerpc)
	MONO_SGEN_TEST = true
endif

MDB_REL = mono-debugger
ifeq ($(DISTRO), Ubuntu)
	MDB_VARS =  -Vmdb:Suggests=$(MDB_REL)
	MDB_VARS += -Vmdb:Recommends=
else
	MDB_VARS =  -Vmdb:Suggests=
	MDB_VARS += -Vmdb:Recommends=$(MDB_REL)
endif

CONFIGURE =	CFLAGS="$(CFLAGS)" \
		./configure $(CONF_FLAGS) --prefix=/usr \
		  --mandir=\$${prefix}/share/man \
		  --infodir=\$${prefix}/share/info --sysconfdir=/etc \
		  --with-ikvm-native=no \
		  --disable-mcs-build \
		  --disable-system-aot 

# Mono's build system doesn't like -j > 1
MAKE_FLAGS += -j1
export MAKEFLAGS=$(MAKE_FLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	EGLIB_MAKE_FLAGS += -j$(NUMJOBS)
	LIBGC_MAKE_FLAGS += -j$(NUMJOBS)
	MONO_MAKE_FLAGS += -j$(NUMJOBS)
endif


configure: configure-stamp
configure-stamp: 
	dh_testdir
	$(CONFIGURE)
	echo "#define ARM_FPU_VFP 1">>config.h
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd eglib && $(MAKE) $(EGLIB_MAKE_FLAGS)
	cd libgc && $(MAKE) $(LIBGC_MAKE_FLAGS)
	cd mono && $(MAKE) $(MONO_MAKE_FLAGS)
	LC_ALL=C $(MAKE) $(MAKE_FLAGS) EXTERNAL_MCS=false EXTERNAL_MONO=false

	cd debian/detector && \
	  $(MAKE)
	chmod +x debian/dh_makeclilibs \
	         debian/dh_clideps \
	         debian/dh_clistrip \
	         debian/dh_clifixperms \
	         debian/dh_monoaot

	touch $@

test: test-stamp
test-stamp: build-stamp
	-$(MINI_TEST)
	-$(MONO_BOEHM_TEST)
	-$(MONO_SGEN_TEST)
	# funny bug-459094.cs creates too long directory names which
	# pbuilder is unable to remove, eh
	rm -rf mono/tests/abcde12345abcde12345abcde12345abcde12345/
	touch $@

clean:
	echo "distro is $(DISTRO)"
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	# distclean misses stuff
	for xf in `find -name "*.mdb"`; do rm $xf; done;
	rm -rf mcs/class/lib/basic/ \
	       mcs/class/lib/net_2_0/ \
	       mcs/class/lib/net_3_5/ \
	       mcs/class/lib/net_4_0/

	-cd debian/detector && $(MAKE) clean
	rm -f debian/MonoGetAssemblyName.exe \
	      debian/mono-api-diff.exe


	rm -f configure-*-stamp
	rm -f build-*-stamp
	rm -f install-*-stamp

	dh_clean

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# don't want docs of bundled libgc
	rm -rf debian/tmp/usr/share/libgc-mono
	# Mono.Security.Win32.dll is only useful on windows, as it wrap the win api
	rm -rf $(CURDIR)/debian/tmp/usr/lib/mono/gac/Mono.Security.Win32/
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/2.0/Mono.Security.Win32.dll*
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/4.0/Mono.Security.Win32.dll*
	# we don't ship bundled nunit of mono
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/2.0/nunit*
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/4.0/nunit*
	rm -f  $(CURDIR)/debian/tmp/usr/lib/pkgconfig/mono-nunit.pc
	rm -rf $(CURDIR)/debian/tmp/usr/lib/mono/gac/nunit*/
	rm -f  $(CURDIR)/debian/tmp/usr/bin/nunit*
	# csharp 2.0 is unneeded as we ship 4.0 already
	rm -rf $(CURDIR)/debian/tmp/usr/lib/mono/gac/Mono.CSharp/2.0.0.0__*/
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/2.0/Mono.CSharp.dll*
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/2.0/csharp.exe*
	rm -f  $(CURDIR)/debian/tmp/usr/bin/csharp2

	# mono 2.10.1 bug, this lib is really linked against corlib 4.0
	rm -f $(CURDIR)/debian/tmp/usr/lib/mono/2.0/Mono.C5.dll
	rm -f $(CURDIR)/debian/tmp/usr/lib/mono/2.0/Mono.WebBrowser.dll
	# mono 2.10.1 bug, prj2make was removed but the start script not
	rm -f $(CURDIR)/debian/tmp/usr/bin/prj2make
	# mono 2.10.1 bug, this lib doesn't exist for .NET 4.0 and also has
	# a wrong assembly version
	rm -rf $(CURDIR)/debian/tmp/usr/lib/mono/gac/cscompmgd/0.0.0.0__*/
	rm -f  $(CURDIR)/debian/tmp/usr/lib/mono/4.0/cscompmgd*

	# copy missing 2.0 manpages
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/al.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/al2.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/mcs.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/gmcs.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/mcs.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/dmcs.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/mono-service.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/mono-service2.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/wsdl.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/wsdl2.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/gacutil.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/gacutil2.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/monop.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/monop2.1
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/resgen.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/resgen2.1
	touch $@

binary: binary-arch binary-indep

binary-indep: build-stamp install-stamp
	dh_testdir
	dh_testroot

	dh_link -i
	dh_installchangelogs -i -X ChangeLog
	dh_installdocs -i
	dh_installman -i
	debian/dh_clistrip -i --dbg-package=mono-dbg
	dh_compress -i
	
	dh_fixperms -i
	debian/dh_clifixperms -i
	dh_installdeb -i
	#DH_VERBOSE=1 DH_AUTOSCRIPTDIR=$(CURDIR)/debian debian/dh_monoaot -i
	dh_gencontrol -i -- -Vmono:upversion=$(UPVERSION) -Vmono:next-upversion=$(NEXT_UPVERSION) \
	  $(MDB_VARS)
	
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-stamp install-stamp test-stamp
	dh_testdir
	dh_testroot
	
	cd debian/detector && \
	  install -D -m 755 binfmt-detector-cli $(CURDIR)/debian/mono-runtime/usr/lib/cli/binfmt-detector-cli
	install -D -m 644 -o root -g root debian/cli.binfmt \
	  debian/mono-runtime/usr/share/binfmts/cli
	
	#Preparing...

	touch debian/tmp/debian
	rm debian/tmp/debian
	ln -s ../../debian debian/tmp
	mkdir -p debian/tmp/misc
	rm -rf debian/tmp/misc/*
	
	#Prepare mono and mono-sgen start scripts
	cp debian/misc/mono debian/tmp/misc
	chmod +x debian/tmp/misc/mono

## mono-armel 2.10.1-4maemo2

=== debian/changelog ===
mono-armel (2.10.1-4maemo2) fremantle; urgency=low

  * Fixed the location of libMonoSupportW.so and libMonoPosixHelper.so

 -- Tsukanov Nikita <keks9n@gmail.com>  Tue, 26 Apr 2011 19:20:45 +0200
